%
% plots for the aLIGO filter cavity paper
%

function [n1_perfectSQZ,  n1_phaseNoise_FI, n1_injLoss, n1_mm, n1_phaseNoise_FD, n1_lossFC, f] = makePlots_Final(mmPhi)

  f = logspace(0, 4, 1000)';
  
  cavityL = 16;
  cavityLoss = 16e-6;
  
  % Parameters for perfect SQZ 
  sqzDB = 0;
  phiRMS = 0e-3;
  lossInj = 0.0;
  lossRO = 0.0;
  mmSqzFC = 1;
  mmSqzLO = 1;
  %mmPhi = pi/4;
  lengthFC = cavityL;
  lossFC = 0e-6;
  xRMS = 0e-13;


  n1_baseline = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_baseline = 0.5 * mag2db(n1_baseline);

  sqzDB = 9.1;
  n1_perfectSQZ = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_perfectSQZ = 0.5 * mag2db(n1_perfectSQZ) - n1_baseline;

  phiRMS = 30e-3;  
  n1_phaseNoise_FI = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_phaseNoise_FI = 0.5 * mag2db(n1_phaseNoise_FI) - n1_baseline;
  
  lossInj = 0.05;
  lossRO = 0.05;
  n1_injLoss = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_injLoss = 0.5 * mag2db(n1_injLoss) - n1_baseline;
 
    mmSqzFC = 0.98;
   mmSqzLO =0.95; 
% 
 % mmSqzFC = 1;
 % mmSqzLO = 1;  
  
  n1_mm = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_mm = 0.5 * mag2db(n1_mm) - n1_baseline;

  xRMS = 3e-13;
  n1_phaseNoise_FD = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_phaseNoise_FD = 0.5 * mag2db(n1_phaseNoise_FD) - n1_baseline;

  lossFC = cavityLoss;
  n1_lossFC = noiseInputFC_crossCheck(f, sqzDB, lengthFC, ...
    lossFC, lossInj, lossRO, mmSqzFC, mmSqzLO, mmPhi, phiRMS, xRMS);
  n1_lossFC = 0.5 * mag2db(n1_lossFC) - n1_baseline;
    
end

